Subject: Re: rxvt in my cygwin.bat file..
From: Alex Malinovich <[email-masked]>
To: "Michael F. March" <[email-masked]>
Cc: [email-masked]
Date: 03 Feb 2002 14:30:48 -0600

I have found a workaround. Just change your rxvt line to read:

rxvt -geometry 80x60 -e cmd /c c:\cygwin\bin\bash --login -i

This is assuming you're running 2000, ME, or XP. I don't know about 9x.
You can look for a command.com option that does the same thing as /c for
cmd.exe. (Runs a command and then exits.)

The only side effect to this method is a warning message at the top of
the rxvt window reading:

readline: warning: rl_prep_terminal: cannot get terminal settings

Since calling bash from cmd works, it would appear to be an issue with
how rxvt is calling bash, but I'm afraid that I don't really know how to
track this down any further. Hopefully it'll be of help to someone who
is a bit more knowledgeable in the subject. Hope this helps.

-Alex Malinovich

On Sun, 2002-02-03 at 12:42, Michael F. March wrote:
> A while ago I upgraded my Cygwin installation and this stopped
> working (by cygwin.bat file):
> 
>     @echo off
>     C:
>     chdir \cygwin\bin
>     rxvt -geometry 80x60  -e c:\cygwin\bin\bash --login -i
> 
> rxvt flashes on the screen for 1/2 second and then goes away. If
> I run this batch file from a command.com prompt, it does not give
> any more clues.
> 
> Anyone have any ideas?
> 
> Thanks.
> 
> <march>
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
>